<div class="btnAcrossPageName">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
               (click)="onSave(constant.STATUS_OBJ.IS_DECLARING)"
               *ngIf="!isDetail"
               mbButtonText="{{'selfService.dependentRegisters.save' | translate}}"></mb-button>
    <mb-button
        *ngIf="!isDetail"
        (click)="onSave(constant.STATUS_OBJ.WAIT_APPROVE)"
        [mbButtonAvailableStyle]="'PRIMARY'"
        mbButtonText="{{'selfService.dependentRegisters.sendBrowsing' | translate}}"
    ></mb-button>

    <mb-button
        (click)="onBack()"
        *ngIf="!isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'common.button.cancel' | translate}}"
    ></mb-button>
    <mb-button
        (click)="onBack()"
        *ngIf="isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'selfService.dependentRegisters.back' | translate}}"
    ></mb-button>
</div>

<div class='content__item content__item--border bg__content--default'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-personal-information></app-personal-information>
  <form nz-form [formGroup]="form" style="margin-top: 20px">
    <div nz-row [nzGutter]="[30,30]">
      <div nz-col [nzXs]="12" [nzLg]="12">
        <mb-select [mbDataSelects]="listDependents"
                   formControlName="familyRelationshipId"
                   (mbEventSelect)="changeDependents($event)"
                   (mbEventEmit)="setFromDateToForm($event)"
                   [mbType]="isSubmitted && form.controls['familyRelationshipId'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['familyRelationshipId'].errors !== null"
                   [mbErrors]="form.controls['familyRelationshipId'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.dependentRegisters.dependentName' | translate }}]"
                   mbPlaceholder="{{'selfService.dependentRegisters.dependentName' | translate}}"
                   mbLabelText="{{'selfService.dependentRegisters.dependentName' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>
      <div nz-col [nzXs]="12" [nzLg]="12">
        <mb-date-picker
          formControlName="dateOfBirth"
          mbLabelText="{{'selfService.dependentRegisters.dateOfBirth' | translate}}"
          mbPlaceholderText="{{'selfService.dependentRegisters.dateOfBirth' | translate}}"
        ></mb-date-picker>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <mb-input-text
          formControlName="taxNumber"
          [mbMaxLength]="10"
          appNumberInput
          [mbType]="isSubmitted && form.controls['taxNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['taxNumber'].errors !== null"
          [mbErrors]="form.controls['taxNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'minlength', errorDescription: 'selfService.validate.taxNoError' | translate},
            { errorName: 'maxlength', errorDescription: 'selfService.validate.taxNoError' | translate}
          ]"
          mbPlaceholderText="{{'selfService.dependentRegisters.taxNo' | translate}}"
          mbLabelText="{{'selfService.dependentRegisters.taxNo' | translate}}"></mb-input-text>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <mb-date-picker
          mbPlaceholderText="{{'selfService.dependentRegisters.endDate' | translate}}"
          mbLabelText="{{'selfService.dependentRegisters.endDate' | translate}} <span class='label__required'>*</span>"
          mbMode="month"
          [mbFormat]="'MM/yyyy'"
          [mbType]="isSubmitted && (form.errors || form.controls['toDate'].errors) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && (form.errors || form.controls['toDate'].errors ) !== null"
          [mbErrors]="form.controls['toDate'].errors"
          [mbErrorDefs]="[
             { errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.dependentRegisters.endDate' | translate }}
          ]"
          formControlName="toDate"></mb-date-picker>
      </div>

      <div nz-col nzXs=24 nzLg="24" *ngIf="isDetail && (status === constant.STATUS_OBJ.FINANCIAL_ACCOUNTANT_RETURN || status === constant.STATUS_OBJ.TAX_AUTHORITIES_RETURN)">
        <mb-input-text
          formControlName="rejectReason"
          [mbIsTextAre]="true"
          mbLabelText="{{'personalTax.taxRegisters.rejectReason' | translate}}"></mb-input-text>
      </div>

      <div nz-col [nzXs]=24 [nzLg]="24">
        <mb-input-text
          formControlName="note"
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbPlaceholderText="{{'selfService.dependentRegisters.note' | translate}}"
          mbLabelText="{{'selfService.dependentRegisters.note' | translate}}"></mb-input-text>
      </div>

      <div nz-col [nzXs]='24' [nzLg]='20' class="input__group">
        <label class="input__label">{{'selfService.label.file' | translate}}</label>
        <span class="uploadHintText">{{'selfService.taxRegisters.uploadHintText' | translate}}</span>

        <div class="uploadFile--wrap">
          <nz-upload
            [nzMultiple]=" true"
            [(nzFileList)]="fileList"
            [nzBeforeUpload]="beforeUpload"
            [nzRemove]="removeFile"
            [nzDownload]="downloadFile"
            nzAccept=".TIF, .JPG, .GIF, .PNG, .PDF, .DOC, .DOCX, .XLS, .XLSX"
          >
            <button class="btnUploadFile">{{'selfService.taxRegisters.btnUploadFile' | translate}}</button>
          </nz-upload>
        </div>
      </div>
    </div>
  </form>
</div>
